com.ihr.xbrl.database.pagination

## Class NumberPageScroll

- java.lang.Object
- - com.ihr.xbrl.database.pagination.EmptyPageScroll
  - - com.ihr.xbrl.database.pagination.IndexPageScroll
    - - com.ihr.xbrl.database.pagination.NumberPageScroll

- All Implemented Interfaces:
    PageScroll

      public class NumberPageScroll
      extends IndexPageScroll

  The Class NumberPageScroll.

- - ### Field Summary

    - ### Fields inherited from interface com.ihr.xbrl.database.pagination.PageScroll

      `BOLD_PATTERN, LINK_PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberPageScroll()` Instantiates a new number page scroll.
    `NumberPageScroll(int limit)` Instantiates a new number page scroll.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `doTaskbar()` Do taskbar.
    `int` | `firstResult()` First result.
    `int` | `getLimit()` Gets the limit.
    `int` | `getTotalCount()` Gets the total count.
    `boolean` | `hasTotalCount()` Checks for total count.
    `boolean` | `isLast()` Checks if is last.
    `boolean` | `isUsePageScroll()` Checks if is use page scroll.
    `void` | `setTotalCount(int totalCount)` Sets the total count.

    - ### Methods inherited from class com.ihr.xbrl.database.pagination.IndexPageScroll

      `getCurrentIdentifier, getNextIdentifier, getPreviousIdentifier, getTaskbar, isFirst, setCurrentIdentifier`

    - ### Methods inherited from class com.ihr.xbrl.database.pagination.EmptyPageScroll

      `hasNext, hasPrevious, isLimitable, orderBy, propertiesBean, query, setClass, transformer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberPageScroll

          public NumberPageScroll()

      Instantiates a new number page scroll.

    - #### NumberPageScroll

          public NumberPageScroll(int limit)

      Instantiates a new number page scroll.
      Parameters:
        `limit` - the limit

  - ### Method Detail

    - #### firstResult

          public int firstResult()

      Description copied from interface: `PageScroll`
      First result.
      Specified by:
        `firstResult` in interface `PageScroll`
      Overrides:
        `firstResult` in class `EmptyPageScroll`
      Returns:
        the int

    - #### getLimit

          public int getLimit()

      Description copied from interface: `PageScroll`
      Gets the limit.
      Specified by:
        `getLimit` in interface `PageScroll`
      Overrides:
        `getLimit` in class `EmptyPageScroll`
      Returns:
        the limit

    - #### hasTotalCount

          public boolean hasTotalCount()

      Description copied from interface: `PageScroll`
      Checks for total count.
      Specified by:
        `hasTotalCount` in interface `PageScroll`
      Overrides:
        `hasTotalCount` in class `EmptyPageScroll`
      Returns:
        true, if successful

    - #### getTotalCount

          public int getTotalCount()

      Description copied from interface: `PageScroll`
      Gets the total count.
      Specified by:
        `getTotalCount` in interface `PageScroll`
      Overrides:
        `getTotalCount` in class `EmptyPageScroll`
      Returns:
        the total count

    - #### setTotalCount

          public void setTotalCount(int totalCount)

      Description copied from interface: `PageScroll`
      Sets the total count.
      Specified by:
        `setTotalCount` in interface `PageScroll`
      Overrides:
        `setTotalCount` in class `EmptyPageScroll`
      Parameters:
        `totalCount` - the new total count

    - #### isUsePageScroll

          public boolean isUsePageScroll()

      Description copied from interface: `PageScroll`
      Checks if is use page scroll.
      Specified by:
        `isUsePageScroll` in interface `PageScroll`
      Overrides:
        `isUsePageScroll` in class `EmptyPageScroll`
      Returns:
        true, if is use page scroll

    - #### isLast

          public boolean isLast()

      Description copied from interface: `PageScroll`
      Checks if is last.
      Specified by:
        `isLast` in interface `PageScroll`
      Overrides:
        `isLast` in class `EmptyPageScroll`
      Returns:
        true, if is last

    - #### doTaskbar

          public java.lang.String doTaskbar()

      Description copied from class: `IndexPageScroll`
      Do taskbar.
      Returns:
        the string